Bug 6590 - [UPDATE REQUEST] audio-recorder 1.3 -> 1.6-2
: [UPDATE REQUEST] audio-recorder 1.3 -> 1.6-2
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-16 18:53 MSK by Giovanni Mariani
Modified: 2016-02-16 14:38 MSK (History)
3 users (show)

See Also:
RPM Package: audio-recorder
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
denis.silakov: published+


Attachments
ss (320.08 KB, image/png)
2016-01-29 13:00 MSK, Vladimir Potapov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Giovanni Mariani 2016-01-16 18:53:03 MSK
We are 3 releases behind...

New in 1.6-2, since our 1,3 release:
- switched to use gstreamer 1.4.x
- replaced fixed size icons with scalable ones
- removed support for GTK < 3.14
- new option in settings to "keep window on top"
- improved MP3-recording
- new and unplugged devices are detected automatically
- find default (active) audio-card when recording from media-players and Skype
- user can change and add new recording pipelines
- improved automatic installation of missing plugins
- many bug fixes (#1258822, #1312524 and more...).
Comment 1 Giovanni Mariani 2016-01-16 18:54:34 MSK
Advisory: update audio-recorder to release 1.6-2.

Packages (published on Testing):
https://abf.rosalinux.ru/build_lists/2619335
https://abf.rosalinux.ru/build_lists/2619336
Comment 2 Vladimir Potapov 2016-01-19 05:17:10 MSK
The program set to autostart for firs run.
It's incorrect
**********************
QA Denied

P.S. Please, don't send to testing updates, QA do it after simlpy check
Comment 3 Denis Silakov 2016-01-19 16:08:28 MSK
New build lists, with autostart disabled:

https://abf.io/build_lists/2619790
https://abf.io/build_lists/2619791
Comment 4 Vladimir Potapov 2016-01-29 13:00:41 MSK
Created attachment 4364 [details]
ss

1) Автозапуск все так же включен
2) Локализация хромает (попробую сам поправить)
Comment 5 Vladimir Potapov 2016-01-29 13:02:09 MSK
*****************
QA Denied
Comment 6 Vladimir Potapov 2016-01-29 13:21:34 MSK
1) Please, disable autostart after install!
2) Localization issues present (I fix it later...)
Comment 7 Giovanni Mariani 2016-02-01 19:49:17 MSK
(In reply to comment #6)
> 1) Please, disable autostart after install!
This happens also with the build made by Denis...

The sw is rather nasty about autorun: there is a switch (defaulting to ON) in the Additional settings window, but toggling it does not write a key in the dconf database, instead it write a complete .desktop file in .config/autostart and eventually add the "X-GNOME..." key to it (with value == TRUE or FALSE according to the above switch value).
However we cannot simply remove the X-GNOME... key from the desktop file: doing so seems to cause the code to consider the switch value == ON, hence the Denis patch is not working as expected.
Moreover the main.c file also forces the switch value to TRUE at program start.

The builds below should correctly fix the issue:
https://abf.rosalinux.ru/build_lists/2621724
https://abf.rosalinux.ru/build_lists/2621725

> 2) Localization issues present (I fix it later...)
This one is out of my linguistic skills (no Russian or Cyrillic, sorry...).
Comment 8 VictorR2007 2016-02-03 12:54:28 MSK
Updated Russian translation

https://abf.rosalinux.ru/build_lists/2622007
https://abf.rosalinux.ru/build_lists/2622008
Comment 9 Vladimir Potapov 2016-02-03 18:23:16 MSK
Очень зря папку "Звукозапись" переименовали в "Аудиозапись"
Ну и не нужно подключать при сборке всяческие контрибы, в остальном - нормально.
Comment 10 VictorR2007 2016-02-03 19:05:43 MSK
(In reply to comment #9)
> Очень зря папку "Звукозапись" переименовали в "Аудиозапись"
> Ну и не нужно подключать при сборке всяческие контрибы, в остальном -
> нормально.

Исправил

https://abf.rosalinux.ru/build_lists/2622051
https://abf.rosalinux.ru/build_lists/2622054
Comment 11 Vladimir Potapov 2016-02-10 10:47:27 MSK
The update is sent to expanded testing
****************************************
Comment 12 Vladimir Potapov 2016-02-16 14:24:58 MSK
audio-recorder-1.6-5
https://abf.rosalinux.ru/build_lists/2622051
https://abf.rosalinux.ru/build_lists/2622054
************************ Advisory ***************************
update audio-recorder to release 1.6-2
*************************************************************
QA Verified